## 项目结构

- main-web 主应用
  - 提供登录页面/子应用入口
- cmc-web 管理端
  - webs 子应用
  - packages 本地包
  - dll 动态链接库, 没用到

## 依赖项

- @cmp/cmp-api: cmc-web/packages/api 本地代码
- @cmp/cmp-common: cmc-web/packages/common 本地代码
- @cmp/\*\*\*: npm 包

## 项目中图片

- 指向服务器 nginx: /web-common-resource

## vite 启动/打包项目有问题的话就不用

## 产物处理

本地 main-web/cmc-web ----------------------> 服务器 /opt/cmp/consoles/cmc-web **不要覆盖,因为里面还有其他文件**
本地 main-web/cmc-web/cof-web --------------> 服务器 /opt/cmp/consoles/cof-web

本地 cmc-web/webs/xxx-web/xxx-web ----------> 服务器 /opt/cmp/consoles/cmc-web/sub-app/xxx-web

# node 版本

node 16.x 其他版本依赖可能会有问题

```sh

# 修改镜像地址 -> 博云私有 npm 仓库地址

npm config set registry http://58.210.154.140:13011/repository/bocloud-npm/
npm config set always-auth true
npm config set auto-install-peers=true
npm config set strict-peer-dependencies=false
npm config set shamefully-hoist=true
npm config set _auth Ym9jbG91ZDpjbXBAdjU4Nw==

# 下载依赖

pnpm install

# 开发环境启动

pnpm serve

# 生产环境构建

pnpm build
```
